Update Population - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PUT
/v1
populations
{populationTagId}
Update Population
cURL
curl --request PUT \
--url https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{\n "version": 123,\n "name": "<string>",\n "category": "<string>",\n "condition": {\n "type": "GROUP",\n "conditions": [\
{}\
]\n },\n "description": "<string>",\n "reasonForChange": "<string>",\n "disabled": true,\n "displayCurrencyCode": "<string>",\n "displayLocale": "<string>"\n}\n'
Example in Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId}"
payload = {
"version": 123,
"name": "<string>",
"category": "<string>",
"condition": {
"type": "GROUP",
"conditions": [{}]
},
"description": "<string>",
"reasonForChange": "<string>",
"disabled": True,
"displayCurrencyCode": "<string>",
"displayLocale": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
Example in JavaScript
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
name: '<string>',
category: '<string>',
condition: {type: 'GROUP', conditions: [{}]},
description: '<string>',
reasonForChange: '<string>',
disabled: true,
displayCurrencyCode: '<string>',
displayLocale: '<string>'
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Example in PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",\n CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123,
'name' => '<string>',
'category' => '<string>',
'condition' => [
'type' => 'GROUP',
'conditions' => [
[
]
]
],
'description' => '<string>',
'reasonForChange' => '<string>',
'disabled' => true,
'displayCurrencyCode' => '<string>',
'displayLocale' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
API Response
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"analysisTypeId": "<string>",
"libraryId": "<string>",
"engagementId": "<string>",
"derivedFromLibrary": true,
"disabledForAnalysisIds": [
"<string>"
],
"promotedFromAnalysisId": "<string>",
"analysisId": "<string>",
"derivedFromEngagement": true,
"basePopulationId": "<string>",
"name": "<string>",
"category": "<string>",
"description": "<string>",
"clonedFrom": "<string>",
"reasonForChange": "<string>",
"disabled": true,
"condition": {
"type": "GROUP",
"conditions": [
{}
]
},
"legacyFilterFormat": true,
"displayCurrencyCode": "<string>",
"displayLocale": "<string>"
}
Authorization
Authorization header of the form Bearer <token>, where <token> is your auth token.
Response Details
id: The unique object identifier.version: Indicates the data integrity version to ensure data consistency.creationDate: The date that the object was originally created.lastModifiedDate: The date that the object was last updated or modified.createdUserInfo: Details about the user who created the object.lastModifiedUserInfo: Details about the user who last modified or updated the object.analysisTypeId,libraryId,engagementId: Various IDs associated with populations.derivedFromLibrary,derivedFromEngagement: Boolean flags.disabledForAnalysisIds: Lists the analysis IDs where the engagement population is disabled.condition: The filter condition used to determine which entries are included in the population.